#include <xtl.h>
#include <xui.h>    // XUI Runtime
#include <xuiapp.h> // XUI Class Library
#include <fxl.h>
#include <string>
#include <vector>
#include <xaudio2.h>
#include "Cemulator.h"

extern "C" int CemuInit()
{
	//video.InitVideo();
	return 0;
}
extern "C" int CemuUpdate()
{
	//video.UpdateVideo();
	Cemulator & c = Cemulator::GetInstance();
	c.Display();
	return 0;
}
extern "C" int CemuRender()
{
	//video.Render();
	Cemulator & c = Cemulator::GetInstance();
	c.Display();
	return 0;
}

extern "C" void GetIsoFilename(char * a )
{
	Cemulator & c = Cemulator::GetInstance();
	c.GetIsoFilename(a);
}

extern "C" void SetIsoFile(const char *filename) {
	Cemulator & c = Cemulator::GetInstance();
	c.SetIsoFilename(filename);
}

#define MAXPATHLEN 256
char IsoFile[256];

extern "C" const char *GetIsoFile(void) {
	//return "game:\\psxisos\\tk3.bin";
	Cemulator & c = Cemulator::GetInstance();
	c.GetIsoFilename(IsoFile);
	return IsoFile;
}
extern "C" long CALLBACK CDR__setfilename(char*filename) 
{ 
	return 0; 
}